Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class AbstractTextStyleChooser

    java.lang.Object
      |
      +--org.netbeans.jemmy.util.AbstractTextStyleChooser

All Implemented Interfaces:
  JTextComponentOperator.TextChooser

Direct Known Subclasses:
  TextStyleChooser

public abstract class AbstractTextStyleChooser
extends java.lang.Object
implements JTextComponentOperator.TextChooser

Makes easier to implement searching criteria for `javax.swing.text.StyledDocument` `JTextComponentOperator.getPositionByText(String, JTextComponentOperator.TextChooser, int)`.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`AbstractTextStyleChooser()` Constructor.

Method Summary
`abstract boolean` | `checkElement(javax.swing.text.StyledDocument doc, javax.swing.text.Element element, int offset)` Should return true if position fulfils criteria.
`boolean` | `checkPosition(javax.swing.text.Document document, int offset)` Checkes if position fits the criteria.
`abstract java.lang.String` | `getDescription()` Returns a printable description of the criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTextStyleChooser

    public AbstractTextStyleChooser()

  Constructor.

Method Detail

### checkElement

    public abstract boolean checkElement(javax.swing.text.StyledDocument doc,
                                         javax.swing.text.Element element,
                                         int offset)

  Should return true if position fulfils criteria.
  Parameters:
    `doc` - a styled document to be searched.
    `element` - an element to be checked.
    `offset` - checked position.
  Returns:
    true if position fits the criteria.

### getDescription

    public abstract java.lang.String getDescription()

  Description copied from interface: `JTextComponentOperator.TextChooser`
  Returns a printable description of the criteria.
  Specified by:
    `getDescription` in interface `JTextComponentOperator.TextChooser`
  Following copied from interface: `org.netbeans.jemmy.operators.JTextComponentOperator.TextChooser`
  Returns:
    a description of this chooser.

### checkPosition

    public final boolean checkPosition(javax.swing.text.Document document,
                                       int offset)

  Description copied from interface: `JTextComponentOperator.TextChooser`
  Checkes if position fits the criteria.
  Specified by:
    `checkPosition` in interface `JTextComponentOperator.TextChooser`
  Following copied from interface: `org.netbeans.jemmy.operators.JTextComponentOperator.TextChooser`
  Parameters:
    `document` - a document to be checked.
    `offset` - a checked position
  Returns:
    true if the position fits the criteria.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD